Universal Robots Forum

Polyscope 5.0 for the old generation (not only eseries)

Many Feature Request are implement, but why is Polyscope 5.0 only for the new Eseries available.

I want the same features for the normal robot :frowning:

e-Series is the new flagship generation of our robots, is has some major hardware upgrades, that support many of the new software features.
I would recommend buying an e-Series robot next time :slight_smile:

1 Like

Maybe we order one for the next applications. I have running 20 robots at the moment in the production, I can not change it. :wink: